Bug 438279 - Request email for MediaWiki changes . . .
Request email for MediaWiki changes . . .
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: Wiki (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-03-19 22:36 EDT by Matthew Harmsen
Modified: 2015-01-04 18:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 09:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2008-03-19 22:36:47 EDT
Bob Lord requested that email be sent when changes are made to the Dogtag
Certficate System Wiki.

Rob Crittenden replied that the following URL should provide a means of
accomplishing this:

  http://meta.wikimedia.org/Enotif
Comment 1 Matthew Harmsen 2008-03-24 19:01:17 EDT
Changed the following variables in /var/www/html/wiki/LocalSettings.php:

$wgEnableEmail = true;
$wgEnableUserEmail = true;

Left the following variables in /var/www/html/wiki/LocalSettings.php as is:

$wgEnotifUserTalk = false; # UPO
$wgEnotifWatchlist = false; # UPO
$wgEmailAuthentication = false;

Restarted the Apache webserver as root.
Comment 2 Rob Crittenden 2008-03-24 21:55:25 EDT
You need to set $wgEnotifWatchlist to true to enable the Preferences UI to
notify by e-mail on watched pages.

You don't need to restart Apache on LocalSettings.php changes.
Comment 3 Matthew Harmsen 2008-03-25 17:23:47 EDT
Changed the following variables in /var/www/html/wiki/LocalSettings.php:

$wgEnotifWatchlist = true; # UPO

Also, made certain that my Wiki preferences contained a valid email address AND
that all of the following "Email" section check boxes were checked:

    X  E-mail me on page changes
    X  E-mail me also for minor edits of pages
    X  Enable e-mail from other users
Comment 4 Rob Crittenden 2008-03-25 17:36:54 EDT
That should do it and I've gotten an e-mail update.

You don't get e-mails when you update your own page, apparently.

You need to be watching a page to get an e-mail.
Comment 5 Matthew Harmsen 2008-03-25 17:46:42 EDT
That is correct, you don't get emails when you perform the updates on one of
your watched pages.

Moving bug to Modified.
Comment 6 Chandrasekar Kannan 2008-08-26 20:27:01 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+

Note You need to log in before you can comment on or make changes to this bug.